---
title: "Hides a review from the store."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo merchant API › review

`POST /v1/stores/{store}/products/{product}/reviews/{review}/hide`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `review:moderate`

## Path parameters

- `store` (`hideReview.path.store`; string, required) — The store's id.
- `product` (`hideReview.path.product`; string, required) — An id, or `slug:<slug>`.
  - minLength 1
- `review` (`hideReview.path.review`; string, required)
  - minLength 1

## Header parameters

- `Idempotency-Key` (`hideReview.header.Idempotency-Key`; string, optional) — Repeats within 24 hours answer the first result; the same key with other arguments is a conflict.
  - minLength 1; maxLength 255; pattern `^[\x21-\x7E]+$`

## Request body

_Optional._

## Example request

```json
{}
```

## Code samples

### cURL

```bash
curl --request POST \
  --url 'https://api.sherpo.io/merchant/v1/stores/<store>/products/<product>/reviews/<review>/hide' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/merchant/v1/stores/<store>/products/<product>/reviews/<review>/hide';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json', Authorization: 'Bearer <token>'},
  body: JSON.stringify({})
};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/merchant/v1/stores/<store>/products/<product>/reviews/<review>/hide"

payload = {}
headers = {
    "Content-Type": "application/json",
    "Authorization": "Bearer <token>"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

## Responses

### 200

Hides a review from the store.

#### Example

```json
{
  "product": {
    "id": "string",
    "slug": "string",
    "path": "string",
    "url": "string",
    "title": "string",
    "category": "string",
    "deleted": true
  },
  "customer": {
    "id": "string",
    "name": "string",
    "email": "string",
    "phone": "string",
    "erased": true
  },
  "id": "string",
  "product_id": "string",
  "customer_id": "string",
  "order_item_id": "string",
  "rating": 0,
  "username": "string",
  "notes": "string",
  "reply": "string",
  "replied_at": "string",
  "hidden_at": "string",
  "created_at": "string",
  "updated_at": "string"
}
```

- `product` (`hideReview.response.200.product`; any of, required)
  - any of: `object`, `null`
- `customer` (`hideReview.response.200.customer`; any of, required)
  - any of: `object`, `null`
- `id` (`hideReview.response.200.id`; string, required)
- `product_id` (`hideReview.response.200.product_id`; string, required)
- `customer_id` (`hideReview.response.200.customer_id`; string, required)
- `order_item_id` (`hideReview.response.200.order_item_id`; any of, required)
  - any of: `string`, `null`
- `rating` (`hideReview.response.200.rating`; number, required)
- `username` (`hideReview.response.200.username`; any of, required)
  - any of: `string`, `null`
- `notes` (`hideReview.response.200.notes`; any of, required)
  - any of: `string`, `null`
- `reply` (`hideReview.response.200.reply`; any of, required)
  - any of: `string`, `null`
- `replied_at` (`hideReview.response.200.replied_at`; any of, required)
  - any of: `string`, `null`
- `hidden_at` (`hideReview.response.200.hidden_at`; any of, required)
  - any of: `string`, `null`
- `created_at` (`hideReview.response.200.created_at`; any of, required)
  - any of: `string`, `null`
- `updated_at` (`hideReview.response.200.updated_at`; any of, required) — When the customer last edited it; null until they do.
  - any of: `string`, `null`

### default

A problem; see https://api.sherpo.io/merchant/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`hideReview.response.default.type`; string, required)
  - format `uri`
- `title` (`hideReview.response.default.title`; string, required)
- `status` (`hideReview.response.default.status`; integer, required)
- `detail` (`hideReview.response.default.detail`; string, required)
- `code` (`hideReview.response.default.code`; string, optional)
- `context` (`hideReview.response.default.context`; object, optional)
- `reached_core` (`hideReview.response.default.reached_core`; boolean, optional)
- `core_answer` (`hideReview.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/merchant-api/reference/hide-review/index.md
